
    $.validator.addMethod('is_email_available', function(value, element) {
        var response = '';
        $.ajax({
            type: 'post',
            url: ci_url + '/register/ajax_email_check',
            data : {
                csrf_test_name: ci_csrf_hash,
                email : value
            },
            async: false,
            dataType : 'json',
            success : function(data) {
                if (data.result === 'available'){
                    response = true;
                } else {
                    response = false;
                }
            }
        });
        return response;
    }, '이 이메일은 사용하실 수 없습니다');


    $.validator.addMethod('is_password_available', function(value, element) {
        var response = '';
        $.ajax({
            type: 'post',
            url: ci_url + '/register/ajax_password_check',
            data : {
                csrf_test_name: ci_csrf_hash,
                password : value
            },
            async: false,
            dataType : 'json',
            success : function(data) {
                if (data.result === 'available'){
                    response = true;
                } else {
                    response = false;
                }
            }
        });
        return response;
    }, '이 패스워드는 사용하실 수 없습니다');


    $.validator.addMethod('is_username_available', function(value, element) {
        var response = '';
        $.ajax({
            type: 'post',
            url: ci_url + '/register/ajax_username_check',
            data : {
                csrf_test_name: ci_csrf_hash,
                username : value
            },
            async: false,
            dataType : 'json',
            success : function(data) {
                if (data.result === 'available'){
                    response = true;
                } else {
                    response = false;
                }
            }
        });
        return response;
    }, '이 회원명은 사용하실 수 없습니다');

